<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_76b8f4f0c6d86c" . "b513c6a0c491de1" . "e8d" => base64_decode("VGV4dCBleHRyYWN0b3IgaXMgY29uZmlndX" . "JlZCBidXQgdGhlIGNvbm5lY3Rpb24gY2hl" . "Y2sgZmFpbGVkIHNvIGl0IHdpbGwgYmUgZG" . "lzYWJsZWQuIE1lc3NhZ2U6ICI="), "_89317315bf1853e36" . "44635cf16af3b06" => base64_decode("VGV4dCBleHRyYWN0b3IgZXJyb" . "3IgZnJvbSBmaWxlICI="), "_63fc7fd38817bf222" . "bc4e3a04e17f2c3" => base64_decode("Ii4gTWVzc2FnZTogIg" . "=="), "_e92ad742fc12ec1dd5c30557fafca3" . "31" => base64_decode("I" . "g" . "=" . "="), "_4d707fab93bebb00bbe69e8159697c" . "90" => base64_decode(""));
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Vaites\ApacheTika;
class TextExtractorService implements LoggerAwareInterface
{
    use LoggerAwareTrait;
    protected ?ApacheTika\Client $tikaClient = null;
    protected ?bool $isWorking = null;
    public function __construct(?ApacheTika\Client $_7ea853d2916986a25d9e854d8839f86e = null, LoggerInterface $logger = null)
    {
        $this->setLogger($logger ?? new NullLogger());
        $this->tikaClient = $_7ea853d2916986a25d9e854d8839f86e;
    }
    
    
    
    
    
    public function getText(string $filename) : string
    {
        if ($this->tikaClient === null || !$this->isAvailable()) {
            return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_4d707fab93bebb00bbe6" . "9e8159697c90"];
        }
        try {
            return $this->tikaClient->getText($filename);
        } catch (\Exception $e) {
            $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_89317315b" . "f1853e3644" . "635cf16af3" . "b06"] . $filename . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_63fc7fd38817bf222b" . "c4e3a04e17f2c3"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e92ad742fc12ec1dd5c305" . "57fafca331"]);
            $this->logger->debug($e);
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0"];
        }
    }
    public function isAvailable() : bool
    {
        if ($this->isWorking === null) {
            $this->isWorking = false;
            if ($this->tikaClient !== null) {
                try {
                    $this->tikaClient->check();
                    $this->isWorking = true;
                } catch (\Exception $e) {
                    $this->logger->error($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_76b8f4f0c6d86cb513c6a0c491d" . "e1e8d"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e92ad742fc12ec1dd5c30557fafca" . "331"]);
                    $this->logger->debug($e);
                }
            }
        }
        return $this->isWorking;
    }
}